Name:           erebus
Version:        0.15
Release:        %mkrel 10
Summary:        Open-source real-time RPG with multiple quests and random dungeons
Group:          Games/Adventure
License:        GPLv3+
URL:            http://erebusrpg.sourceforge.net/
Source0:        https://launchpad.net/erebus/trunk/%{version}/+download/%{name}src.zip
Patch1:         erebus-0.13-mga-installdir-desktop.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  qtbase5-common-devel

%description
Erebus is a 2D real-time role-playing game, for Windows, Linux, Symbian
and Android. This is under development, though already playable with three
quests. Classic point-n-click style RPG, with dungeons to explore, enemies
to fight, NPCs to talk to, sub-quests to complete, scenery to interact with,
weapons, treasure and other items to find. Also supports Rogue-like keyboard
controls.

%prep
%autosetup -p1 -n %{name}src

%build
%qmake_qt5
%make_build

%install
%qmakeinstall_std

mkdir -p %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
./%{name}
EOF
chmod +x %{buildroot}%{_gamesbindir}/%{name}

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/docs

%files
%doc docs/erebus.html docs/erebus_logo1.png docs/index.html
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}64.png
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.15-10.mga9
+ Revision: 1842032
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.15-9.mga8
+ Revision: 1658342
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.15-8.mga8
+ Revision: 1524574
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 0.15-7.mga7
+ Revision: 1381639
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.15-6.mga7
+ Revision: 1297616
- Mageia 7 Mass Rebuild

* Wed May 30 2018 akien <akien> 0.15-5.mga7
+ Revision: 1233093
- Rebuild for SFML 2.5.0

* Sun Nov 13 2016 akien <akien> 0.15-4.mga6
+ Revision: 1067063
- Rebuild for SFML 2.4.1

* Sun Feb 14 2016 umeabot <umeabot> 0.15-3.mga6
+ Revision: 960037
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 cjw <cjw> 0.15-2.mga6
+ Revision: 871515
- rebuild with gcc 5

* Sat Jun 27 2015 akien <akien> 0.15-1.mga6
+ Revision: 846302
- Version 0.15

* Mon Feb 09 2015 akien <akien> 0.14-4.mga5
+ Revision: 814392
- Rebuild for sfml 2.2

* Wed Oct 15 2014 umeabot <umeabot> 0.14-3.mga5
+ Revision: 744194
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.14-2.mga5
+ Revision: 679024
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 akien <akien> 0.14-1.mga5
+ Revision: 635425
- Version 0.14

* Mon Feb 24 2014 akien <akien> 0.13-1.mga5
+ Revision: 596593
- imported package erebus

